Calculate Forum

Ошибка при обновлении

При выполнении устанокки программы выполняю sudo cl-update --sync-only
Выхлоп

sudo cl-update --sync-only
Пароль: 
Синхронизация репозиториев
 * Синхронизация репозитория Distros ...                                                                                                                                              [ ok ]
 * Синхронизация репозитория Calculate ...                                                                                                                                            [ ok ]
 * Синхронизация репозитория Gentoo ...                                                                                                                                               [ ok ]
 * Синхронизация завершена
Конфигурация системы
 * Исправление настроек ...                                                                                                                                                           [ ok ]
 * Обновление конфигурационных файлов ...                                                                                                                                             [ ok ]
 * Сервер обновлений http://mirror.yandex.ru/calculate
 * Обновление системы завершено!

В то же время при выполнении cl-console-gui --method update получаю (см. файл) сообщение, что обновить не удалось.
В чем моя ошибка?

Linux 4.4.9-calculate i686 MATE 1.16.1.

Systemupdate.txt (108 KB)

Странно, а что-то дополнительно ставили? Флаги меняли?

Может в /var/lib/portage/world присутствует пакет sys-power/upower-pm-utils? Как вариант можно сбросить world выполнии ‘cl-update --rebuild-world’, после прописать установленные дополнительно пакеты в сет /etc/portage/sets/custom чтобы они не были удалены при обновлении.

Присоединяюсь. То же самое, тока я не там создал тему, в общих. Ночью попробовал все поудалять xorg-и листовку /usr/portage/metadata/news/2017-04-10-split-and-slotted-wine/2017-04-10-split-and-slotted-wine.en.txt и её соседа ключь какойто. Не помогло, после удаления xorg-ов ставил заново, пишет какие то ошибки с пакетами х86-32 и тут отправляет на https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages
короче, сообщает о том, что архитектура не та, сейчас после переустановки выхлоп чуть изменился, плюс добавились две строки
(dependency required by “selected" [set]) (dependency required by "world” [argument])
При переустаноке явно указывал фильтр х86_64, до этого ставил по умолчанию. Вот моя тема
http://www.calculate-linux.ru/boards/16/topics/35070 , конец выхлопа с ошибками тоже добавил, почти то же самое, но разница есть. Покопаю пока дальше, ведь для этого и ставил вторую систему, ядро свое собрать, gentoo посмотреть в действии

sys_err.txt (1.36 KB)

Вспомнил интересную особенность rolling-релизов. Начал пользоватся Арчем и записал его на CD, через полгода забухал, интернета небыло, необновлял Арч, почти 200 обнов сломали наухнарь, ума не дал, проще переустановить. Поставил CD, на каком то этапе установки он протроил, я вставил Манджару, лежала как live-cd, арч-инстал-скрипт, арчевский миррорлист, базовая Арч установилась. Заинтересовался, доустановил DE, скачал новый образ Арча, записал, воткнул, установилась. Что то у них есть такое, из-за чего старый уже не катит. Вспомнив это сейчас, скачал nightly-образ от апреля сего года http://mirror.yandex.ru/calculate/nightly/20170418/ , установил и проблемы пропали, даже установил пока тока dconf-editor и сделал emerge -e system без проблем. Судя по скрину вы, Вячеслав, использовали тот же образ(декабрь прошлого года : 1.3 Гига обнов по сейчас), стоит попробовать свежую сборку.
У меня прокатила, пока все хорошо, тьфу-тьфу-тьфу.

To: valek russian
Спасибо за подсказку. Попробую переустановить Calculate c нового релиза.

Вячеслав, все работает, даже разок compiz запустился четко , без проблем. Потом, правда, не понял как, не цель. Есть основная Арч с компизом и XFCE и LXDE, решил вторую установить, остановился на gentoo-близнеце calculate. Вы попробуйте и отпишитесь, помогло ли, дабы новички(тока скачавшие оф. стабильный образ и не имеющие понятия Linux) не наступали на те же грабли, а там и разрабы на ус… , так сказать. решать проблему, рубя с плеча, так сказать. Я про Арч то че, у меня основная, поставил второй Кальку(Open suse и Arch не видят друг друга, даже с помощью grub-customizer, потому Калька), поигратся со сборкой ядра, узнать gentoo поближе, за месяц я поставил её раз 5 -10, убью, переустановлю. Образы давненько скачаные. Когда проворачивал описаное выше, знал интуитивно, но не надеялся, если честно (полгода маловато вроде). Поставил, к примеру, Cinamon, жесть, сразу понял создана для извращений над ней(официал. образ старый).

Забыл добавить, апрельский образ не потерпел изменения фреймбуфера, выдал ошибку. Раньше я ставил 1024х728, теперь же после ошибки заново запустил установку с автозаданными установщиком параметрами 1440х900, и ОП… , как говорит Кирил Кринкин https://stepik.org/course/Основы~~программирования~~для-Linux-548

© 2007-2020 Calculate Ltd.
Mastodon Mastodon